## ros-kinetic-mavros-extras 1.6.0

=== debian/changelog ===
ros-kinetic-mavros-extras (1.6.0-1xenial) xenial; urgency=high

  * Fixed a bug in mavros_extras/src/plugins/odom.cpp by switching lines 175 and 180.
    Rationale: The pose covariance matrix published to the /mavros/odometry/in topic is exclusively zeros. This is because the transformation matrix r_pose is initialised as zeros (line 140), then applied to the covariance matrix cov_pose (line 176) and then populated (line 180). Clearly the latter two steps should be the other way around, and the comments in the code appear to suggest that this was the intention, but that lines 175 and 180 were accidentally written the wrong way around. Having switched them, the pose covariance is now published to /mavros/odometry/in as expected.
    JohnG897
  * Contributors: John Gifford

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 15 Feb 2021 00:00:00 -0000

ros-kinetic-mavros-extras (1.5.2-1xenial) xenial; urgency=high

  * bugfix - add estimator type in odom message
    Add missing estimator_type field in  Odometry message.
    Issue #1524 <https://github.com/mavlink/mavros/issues/1524>
  * Contributors: Ashwin Varghese Kuruttukulam

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 02 Feb 2021 00:00:00 -0000

ros-kinetic-mavros-extras (1.5.1-1xenial) xenial; urgency=high

  * Initialise message structures
    Uninitialised Mavlink 2 extension fields were sent if the fields were
    not later set. Initialising the fields to zero is the default value for
    extension fields and appears to the receiver as though sender is unaware
    of Mavlink 2.
    Instances were found with regex below, more may exist:
    mavlink::[^:]+::msg::[^:={]+ ?[^:={]*;
  * Contributors: Rob Clarke

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 04 Jan 2021 00:00:00 -0000

ros-kinetic-mavros-extras (1.5.0-1xenial) xenial; urgency=high

  * mavros_extras: Fix member initialization order
  * mavros_extras: Add override specifiers
  * mavros_extras: distance_sensor: Don't publish data when orientation configuration does not match incomming data.
  * fake_gps: Fix assignment typo
    This colon should probably be an equals sign.
    With the colon, this assignment becomes a label instead,
    and _gps_rate after the colon becomes an unused
    expression result.
  * Contributors: Kristian Klausen, Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-kinetic-mavros-extras (1.4.0-1xenial) xenial; urgency=high

  * mavros: use mavlink::minimal:: after incompatible changes in mavlink package
    Incompatible change: https://github.com/mavlink/mavlink/pull/1463
    Fix: #1483 <https://github.com/mavlink/mavros/issues/1483>, https://github.com/mavlink/mavlink/issues/1474
  * play_tune: Assign tune format directly
  * play_tune: Uncrustify
  * play_tune: Use msg_set_target and set_string_z
  * play_tune: Write new plugin
  * Contributors: Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 Sep 2020 00:00:00 -0000

ros-kinetic-mavros-extras (1.3.0-1xenial) xenial; urgency=high

  * Take into account message count for message size
  * Add esc_status plugin.
  * fake_gps.cpp: Implement GPS time data
  * fake_gps.cpp: implement speed accuracy
  * fake_gps.cpp: Added horiz_accuracy and vert_accuracy parameters
  * fake_gps.cpp: Add mocap_withcovariance configuration parameter
  * fake_gps.cpp: add initial support for GPS_INPUT MAVLink message
  * fake_gps.cpp: uncrustify
  * Add gps_status plugin to publish GPS_RAW and GPS_RTK messages from FCU.
    The timestamps for the gps_status topics take into account the mavlink time and uses the convienence function
  * uncrustify gps_rtk plugin
  * adding support for publishing rtkbaseline msgs over ROS
  * Contributors: CSCE439, Dr.-Ing. Amilcar do Carmo Lucas, Ricardo Marques

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 08 Aug 2020 00:00:00 -0000

ros-kinetic-mavros-extras (1.2.0-1xenial) xenial; urgency=high

  * Revert "extras: odom: Hardcode BODY_FRD enum_value to fix compilation"
    This reverts commit 1a898dea2202ee1af56d698bd40d40994346c5cb.
  * extras: odom: Hardcode BODY_FRD enum_value to fix compilation
    That PR broke build: https://github.com/mavlink/mavlink/pull/1112
    TODO: find out what frame should be used
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 22 May 2020 00:00:00 -0000

ros-kinetic-mavros-extras (1.1.0-1xenial) xenial; urgency=high

  * Setting the same transparency for all elements
  * Visualization of the direction of the device
  * add support for bezier
  * Contributors: Alamoris, Martina Rivizzigno

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 04 Apr 2020 00:00:00 -0000

ros-kinetic-mavros-extras (1.0.0-1xenial) xenial; urgency=high

  * Change odometry subscription queue to 1 to avoid buffering.
  * Contributors: James Goppert

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Jan 2020 00:00:00 -0000

ros-kinetic-mavros-extras (0.33.4-1xenial) xenial; urgency=high

  * obstacle_distance: Fill both increment and increment_f fields
  * obstacle_distance: Fix wrong angle increment
    The computation req->angle_increment * RAD_TO_DEG correctly computes
    angle increment in degrees as a float, but the increment field of the
    OBSTACLE_DISTANCE MAVLink message is a uint8, so the float value gets
    truncated. So if your real increment is 10 degrees, you may a floating
    point value of something like 9.999999, which results in the integer value
    9 getting written to the increment field.
    An improvement would be to round properly, with something like
    static_cast<uint8_t>(increment_deg_float),
    but a better solution is to allow non-integer degree values for the
    increment, which is supported by the increment_f field. According
    to the MAVLink reference, increment_f is used instead of increment
    whenever increment_f is nonzero.
  * Contributors: Morten Fyhn Amundsen


